Bug 118070 - Using Bugzilla as a repository for release notes feedback...
Using Bugzilla as a repository for release notes feedback...
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-03-11 13:53 EST by Ed Bailey
Modified: 2013-06-23 23:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-18 18:07:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ed Bailey 2004-03-11 13:53:13 EST
I'd like to see the following functionality added to Bugzilla:

o The ability to distribute fairly short URLs that, when clicked,
would cause the following things to happen:

  1. A check is made to see if a "specially-marked" bug already
exists.  If it does, that bug is displayed, and the user can enter a

  2. If a "specially-marked" bug does not yet exist, open a new bug
with some of the fields already filled in (similar to the
"bookmarkable template" functionality, but pointed to with a shorter
URL).  This bug would then be "specially marked" so that the next time
someone clicks the URL, they'll be directed to this bug instead of
creating a new bug.

To give you some context, here's what I want to be able to do:

For each entry in the release notes, I create a bugzilla template that
 includes content for, say, the summary field ("hardware requirement
entry for x86").  I note that this template is something I'm going to
publicize, so I get a user-friendly URL 
("http://bugzilla.redhat.com/hardware-x86-relnotes", for example).

I place this URL in the release notes file.

Somebody reads the release notes, looks at the hardware reuquirements
and wants to give me feedback, so they click on the URL.

Because nobody else has clicked on this URL yet, they are dropped into
the regular bug entry page (with the summary filled out with "hardware
requirement entry for x86").  They fill in their comments and commit.

Anybody that clicks on the link in the release notes after this will
be directed to the already-existing bug entry, and can add their own
comments to it.

I read the comments, make some changes to the entry in the release
notes, and then change the URL to point at the now-existing bug (or
leave it as-is, depending on whatever is in bugzilla's best
interests).  The updated release notes are distributed, and the
process either continues (if I want to keep all the feedback in the
same bug), or repeats (if I make up a new template and replace the URL
in the release notes).
Comment 1 David Lawrence 2006-04-08 14:12:51 EDT
Red Hat's current Bugzilla version is 2.18. I am moving all older open bugs to
this version. Any bugs against the older versions will need to be verified that
they are still bugs. This will help me also to sort them better.
Comment 2 David Lawrence 2008-08-18 18:07:01 EDT
Sounds like bug cloning which is possible in recent versions of Bugzilla.

Note You need to log in before you can comment on or make changes to this bug.